Page MenuHomePhabricator

cxx: Add license to CXX bindings.
ClosedPublic

Authored by felipealmeida on Jul 26 2019, 12:07 PM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
lauromoura created this revision.Jul 26 2019, 12:07 PM
lauromoura requested review of this revision.Jul 26 2019, 12:07 PM
cedric added a subscriber: jpeg.

I think @jpeg did some patch for the C++ binding. I think it is required that everyone who did contribute code to this agree to the license change.

lauromoura planned changes to this revision.Jul 29 2019, 10:48 AM

I think @jpeg did some patch for the C++ binding. I think it is required that everyone who did contribute code to this agree to the license change.

Indeed. Will update the copyright notice with the authors for each file and contact them.

lauromoura updated this revision to Diff 23776.Jul 30 2019, 4:25 PM

Update with copyright notice directing to AUTHORS file

I think @jpeg did some patch for the C++ binding. I think it is required that everyone who did contribute code to this agree to the license change.

Contacted @jpeg and other authors through email and those who answered showed no objection to the license.

felipealmeida accepted this revision.Oct 24 2019, 6:05 AM

Since all committers were either samsung or expertise solutions employee or contractors and they all have contract transferring copyright ownership to their respective company, then it is OK to change license info.

This revision is now accepted and ready to land.Oct 24 2019, 6:05 AM

And most people expressed agreement, only some ex or current samsung employees didn't respond.

felipealmeida commandeered this revision.Oct 24 2019, 6:38 AM
felipealmeida edited reviewers, added: lauromoura; removed: felipealmeida.
This revision now requires review to proceed.Oct 24 2019, 6:38 AM

Fix conflicts

lauromoura accepted this revision.Oct 24 2019, 6:40 AM
This revision is now accepted and ready to land.Oct 24 2019, 6:40 AM
This revision was automatically updated to reflect the committed changes.